브랜드 보이스 변형의 로캘 중복
이 문제가 발생하면 API는 409 Conflict 응답을 반환합니다. 응답의 type 값은 https://lingo.dev/docs/api/errors/brand-voice-variation-locale-taken입니다. 모든 오류에 공통으로 적용되는 형식은 오류 및 상태 코드를 참조하세요.
이 브랜드 보이스에는 이미 <targetLocale>에 해당하는 변형이 있습니다. 브랜드 보이스에는 대상 로캘마다 변형을 하나만 둘 수 있습니다. 새로 만드는 대신 기존 변형을 업데이트하세요.
필드#
응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
targetLocale | string |
예시#
json
{
"detail": "This brand voice already has a variation for <targetLocale>. A voice carries one variation per target locale. Update the existing one instead.",
"targetLocale": "<targetLocale>",
"type": "https://lingo.dev/docs/api/errors/brand-voice-variation-locale-taken",
"status": 409,
"title": "Brand voice variation locale taken"
}이 오류를 반환하는 엔드포인트#
PATCH /v2/brand-voice-variations/{id}POST /v2/brand-voices/{brandVoiceId}/variations